Sign inGet started

Long Code Numbers

Overview

The current concept of Number represents the so-called Long Code Number. Long Code Number always relates to the Number purchased or ordered from the Inventory. This is any number, that has a country prefix at the beginning. The term Number is renamed to LongCodeNumber.

API Access

The following API requests can only be made using a valid access key, and attached to an access role, with an access policy that at least specifies the permissions to the resources outlined in each section below. Learn more about API access.

List Long Code Numbers

In order to retrieve a list of long code numbers available in your workspace you can use this request.
GET
/workspaces/{workspaceId}/numbers-long-code
Get a list of all Long code numbers assigned to your workspace. You can filter your list of numbers by country code, types (e.g. a local, mobile, or toll-free number), supported capabilities and the number leading digits. The results can be paginated. To learn more about the pagination, please refer to the pagination section on API Access Common API Usage section.
Parámetros de consulta
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
numberString
string
Used to filter numbers by their leading digits. The "+" prefix is optional, but the country code is required.
types
array
The number type depending on its purpose. Local for regional use, national for countrywide use, mobile for mobile networks, or toll-free for caller-free charging.
countryCodes
array
providerIds
array
capabilities
array
Cuerpo de la respuesta
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display. To know more, refer to the pagination section.
results
array of object
obligatorio
Mostrar atributos secundarios
results.id
string
obligatorio
The unique identifier of the long code number. The endpoint ID is the same.
results.endpointId
string
obligatorio
The unique identifier of the endpoint. The long conde ID is the same.
results.numberString
string
obligatorio
The phone number in E.164 format.
results.countryCode
string
obligatorio
The country code in ISO 3166-1 alpha-2 format.
results.type
string
The type of long code number.
Possible values: local, national, toll-free, mobile
results.capabilities
object
obligatorio
Capabilities of the phone number. It shows if the phone number supports voice, sms and/or mms.
Mostrar atributos secundarios
results.capabilities.voice
object
obligatorio
Mostrar atributos secundarios
results.capabilities.voice.inbound
boolean
obligatorio
Whether the number supports inbound use cases.
results.capabilities.voice.outbound
boolean
obligatorio
Whether the number supports outbound use cases.
results.capabilities.sms
object
obligatorio
Mostrar atributos secundarios
results.capabilities.sms.inbound
boolean
obligatorio
Whether the number supports inbound use cases.
results.capabilities.sms.outbound
boolean
obligatorio
Whether the number supports outbound use cases.
results.capabilities.mms
object
obligatorio
Mostrar atributos secundarios
results.capabilities.mms.inbound
boolean
obligatorio
Whether the number supports inbound use cases.
results.capabilities.mms.outbound
boolean
obligatorio
Whether the number supports outbound use cases.
results.capabilities.whatsapp
object
Mostrar atributos secundarios
results.capabilities.whatsapp.inbound
boolean
obligatorio
Whether the number supports inbound use cases.
results.capabilities.whatsapp.outbound
boolean
obligatorio
Whether the number supports outbound use cases.
results.createdAt
string
obligatorio
results.updatedAt
string
obligatorio
results.order
object
The order that created this long code number. It contains information such as the capabilities, order status and type.
Mostrar atributos secundarios
results.order.countryCode
string
obligatorio
The country code in ISO 3166-1 alpha-2 format.
results.order.type
string
obligatorio
The type of long code number.
Possible values: local, national, toll-free, mobile
results.order.capabilities
array of string
obligatorio
results.order.prefix
string
results.order.status
string
obligatorio
Possible values: draft, submitted, processing, fulfilled, rejected, cancelled
results.order.createdAt
string
obligatorio
results.order.updatedAt
string
obligatorio
results.deprovisionAt
string
The date and time when the long code number should be deprovisioned.
results.endpoint
object
obligatorio
A representation of an endpoint. It contains details such as the capabilities, dependencies, and more.
Mostrar atributos secundarios
results.endpoint.id
string
obligatorio
The ID of the endpoint.
results.endpoint.type
string
obligatorio
The type of the endpoint. It can be a long code number, short code number, alpha number, ip pool, or rcs google agent.
Possible values: long-code-number, short-code-number, alpha-number, ip-pool, rcs-google-agent
results.endpoint.instanceId
string
obligatorio
The unique identifier of the instance.
results.endpoint.name
string
obligatorio
The name of the endpoint. For some cases it will be the number in international format as string.
results.endpoint.capabilities
array of object
obligatorio
Mostrar atributos secundarios
results.endpoint.capabilities.name
string
obligatorio
Possible values: sms
results.endpoint.capabilities.inbound
object
Mostrar atributos secundarios
results.endpoint.capabilities.inbound.status
string
obligatorio
Possible values: active, inactive, available, unavailable
results.endpoint.capabilities.inbound.issues
array of string
results.endpoint.capabilities.outbound
object
Mostrar atributos secundarios
results.endpoint.capabilities.outbound.status
string
obligatorio
Possible values: active, inactive, available, unavailable
results.endpoint.capabilities.outbound.destinationStatuses
object
Mostrar atributos secundarios
results.endpoint.capabilities.outbound.destinationStatuses.active
number
results.endpoint.capabilities.outbound.destinationStatuses.inactive
number
results.endpoint.capabilities.outbound.destinationStatuses.available
number
results.endpoint.capabilities.outbound.destinationStatuses.unavailable
number
results.endpoint.capabilities.outbound.supportsDestinations
boolean
Whether the number supports destinations
results.endpoint.capabilities.outbound.issues
array of string
results.endpoint.dependencies
array of object
The dependencies of the endpoint. It shows the connectors that the endpoint is connected to.
Mostrar atributos secundarios
results.endpoint.dependencies.type
string
Possible values: connector
results.endpoint.dependencies.connectorId
string
obligatorio
results.endpoint.dependencies.connectorTemplateRef
string
obligatorio
results.endpoint.dependencies.capabilities
array of string
results.endpoint.issues
array of string
results.endpoint.provisioningStatus
string
obligatorio
Possible values: provisioned, provisioning, deprovisioned, deprovisioning
results.endpoint.whatsApp
object
WhatsApp pre-verification details for this endpoint, if applicable. Only present for long code numbers from WhatsApp-capable providers.
Mostrar atributos secundarios
results.endpoint.whatsApp.whatsAppId
string
results.endpoint.whatsApp.status
string
WhatsApp number status
Possible values: unknown, already-exists, installed, verified, not-verified, expired
results.endpoint.whatsApp.stage
string
results.endpoint.whatsApp.attempt
integer
results.endpoint.whatsApp.nextAttemptAt
string
results.endpoint.whatsApp.verificationExpiresAt
string
results.endpoint.whatsApp.requestedCodeAt
string
results.endpoint.whatsApp.createdAt
string
results.endpoint.whatsApp.updatedAt
string
results.endpoint.createdAt
string
obligatorio
results.endpoint.updatedAt
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/numbers-long-code' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
Ejemplo de código
curl "https://api.bird.com/workspaces/{workpaceId}/numbers-long-code/"
-H 'Authorization: Bearer '

Get a Long Code Number

In order to retrieve the details of a long code number available in your workspace you can use this request.
GET
/workspaces/{workspaceId}/numbers-long-code/{longCodeNumberId}
This endpoint returns the information of a Long Code Number assigned to the workspace given its ID. You may use the EndpointID as well to search for your long code number.
Cuerpo de la respuesta
id
string
obligatorio
The unique identifier of the long code number. The endpoint ID is the same.
endpointId
string
obligatorio
The unique identifier of the endpoint. The long conde ID is the same.
numberString
string
obligatorio
The phone number in E.164 format.
countryCode
string
obligatorio
The country code in ISO 3166-1 alpha-2 format.
type
string
The type of long code number.
Possible values: local, national, toll-free, mobile
capabilities
object
obligatorio
Capabilities of the phone number. It shows if the phone number supports voice, sms and/or mms.
Mostrar atributos secundarios
capabilities.voice
object
obligatorio
Mostrar atributos secundarios
capabilities.voice.inbound
boolean
obligatorio
Whether the number supports inbound use cases.
capabilities.voice.outbound
boolean
obligatorio
Whether the number supports outbound use cases.
capabilities.sms
object
obligatorio
Mostrar atributos secundarios
capabilities.sms.inbound
boolean
obligatorio
Whether the number supports inbound use cases.
capabilities.sms.outbound
boolean
obligatorio
Whether the number supports outbound use cases.
capabilities.mms
object
obligatorio
Mostrar atributos secundarios
capabilities.mms.inbound
boolean
obligatorio
Whether the number supports inbound use cases.
capabilities.mms.outbound
boolean
obligatorio
Whether the number supports outbound use cases.
capabilities.whatsapp
object
Mostrar atributos secundarios
capabilities.whatsapp.inbound
boolean
obligatorio
Whether the number supports inbound use cases.
capabilities.whatsapp.outbound
boolean
obligatorio
Whether the number supports outbound use cases.
createdAt
string
obligatorio
updatedAt
string
obligatorio
order
object
The order that created this long code number. It contains information such as the capabilities, order status and type.
Mostrar atributos secundarios
order.countryCode
string
obligatorio
The country code in ISO 3166-1 alpha-2 format.
order.type
string
obligatorio
The type of long code number.
Possible values: local, national, toll-free, mobile
order.capabilities
array of string
obligatorio
order.prefix
string
order.status
string
obligatorio
Possible values: draft, submitted, processing, fulfilled, rejected, cancelled
order.createdAt
string
obligatorio
order.updatedAt
string
obligatorio
deprovisionAt
string
The date and time when the long code number should be deprovisioned.
endpoint
object
obligatorio
A representation of an endpoint. It contains details such as the capabilities, dependencies, and more.
Mostrar atributos secundarios
endpoint.id
string
obligatorio
The ID of the endpoint.
endpoint.type
string
obligatorio
The type of the endpoint. It can be a long code number, short code number, alpha number, ip pool, or rcs google agent.
Possible values: long-code-number, short-code-number, alpha-number, ip-pool, rcs-google-agent
endpoint.instanceId
string
obligatorio
The unique identifier of the instance.
endpoint.name
string
obligatorio
The name of the endpoint. For some cases it will be the number in international format as string.
endpoint.capabilities
array of object
obligatorio
Mostrar atributos secundarios
endpoint.capabilities.name
string
obligatorio
Possible values: sms
endpoint.capabilities.inbound
object
Mostrar atributos secundarios
endpoint.capabilities.inbound.status
string
obligatorio
Possible values: active, inactive, available, unavailable
endpoint.capabilities.inbound.issues
array of string
endpoint.capabilities.outbound
object
Mostrar atributos secundarios
endpoint.capabilities.outbound.status
string
obligatorio
Possible values: active, inactive, available, unavailable
endpoint.capabilities.outbound.destinationStatuses
object
Mostrar atributos secundarios
endpoint.capabilities.outbound.destinationStatuses.active
number
endpoint.capabilities.outbound.destinationStatuses.inactive
number
endpoint.capabilities.outbound.destinationStatuses.available
number
endpoint.capabilities.outbound.destinationStatuses.unavailable
number
endpoint.capabilities.outbound.supportsDestinations
boolean
Whether the number supports destinations
endpoint.capabilities.outbound.issues
array of string
endpoint.dependencies
array of object
The dependencies of the endpoint. It shows the connectors that the endpoint is connected to.
Mostrar atributos secundarios
endpoint.dependencies.type
string
Possible values: connector
endpoint.dependencies.connectorId
string
obligatorio
endpoint.dependencies.connectorTemplateRef
string
obligatorio
endpoint.dependencies.capabilities
array of string
endpoint.issues
array of string
endpoint.provisioningStatus
string
obligatorio
Possible values: provisioned, provisioning, deprovisioned, deprovisioning
endpoint.whatsApp
object
WhatsApp pre-verification details for this endpoint, if applicable. Only present for long code numbers from WhatsApp-capable providers.
Mostrar atributos secundarios
endpoint.whatsApp.whatsAppId
string
endpoint.whatsApp.status
string
WhatsApp number status
Possible values: unknown, already-exists, installed, verified, not-verified, expired
endpoint.whatsApp.stage
string
endpoint.whatsApp.attempt
integer
endpoint.whatsApp.nextAttemptAt
string
endpoint.whatsApp.verificationExpiresAt
string
endpoint.whatsApp.requestedCodeAt
string
endpoint.whatsApp.createdAt
string
endpoint.whatsApp.updatedAt
string
endpoint.createdAt
string
obligatorio
endpoint.updatedAt
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/numbers-long-code/{longCodeNumberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
Ejemplo de código
curl "https://api.bird.com/workspaces/{workspaceId}/numbers-long-code/{longCodeId}" \
     -H 'Authorization: Bearer <your-access-key>'